J3.x

Difference between revisions of "Upgrading from Joomla 3.4.x to 3.5/it"

From Joomla! Documentation

(Updating to match new version of source page)
 
(31 intermediate revisions by 5 users not shown)
Line 1: Line 1:
 
<noinclude><languages /></noinclude>
 
<noinclude><languages /></noinclude>
<br />{{note|'''IMPORTANTE! Non si può aggiornare dalla 3.4.x alla 3.5 da gestione estensioni.''' <br />Devi aggiornare attraverso il componente Aggiornamento di Joomla! o manualmente come indicato di seguito.|type=serious}}
+
<br />{{note|'''Please note!'''
 +
<div class="mw-translate-fuzzy">
 +
Devi aggiornare attraverso il componente Aggiornamento di Joomla! o manualmente come indicato di seguito.
 +
</div>|type=serious}}
  
 
{{tip|title=Prima di aggiornare, fai sempre un [[S:Mylanguage/Backup Basics for a Joomla! Web Site|backup]] e non dimenticare di  testarlo.}}
 
{{tip|title=Prima di aggiornare, fai sempre un [[S:Mylanguage/Backup Basics for a Joomla! Web Site|backup]] e non dimenticare di  testarlo.}}
 
<noinclude>{{Joomla version|version=3.x}}</noinclude>
 
<noinclude>{{Joomla version|version=3.x}}</noinclude>
 +
<div class="mw-translate-fuzzy">
 
==Aggiornare utilizzando il componente "Aggiornamento di Joomla!"==
 
==Aggiornare utilizzando il componente "Aggiornamento di Joomla!"==
 +
</div>
 
Preferibilmente aggiorna la tua Installazione di Joomla! utilizzando il componente Aggiornamento di Joomla.<br />Se non sai come utilizzare il componente Aggiornamento di Joomla!, leggi: [[S:MyLanguage/Help34:Components_Joomla_Update|Componente Aggiornamento di Joomla!]].{{-}}
 
Preferibilmente aggiorna la tua Installazione di Joomla! utilizzando il componente Aggiornamento di Joomla.<br />Se non sai come utilizzare il componente Aggiornamento di Joomla!, leggi: [[S:MyLanguage/Help34:Components_Joomla_Update|Componente Aggiornamento di Joomla!]].{{-}}
 +
 +
{{tip|title=Caveat!|If you're using '''OpCache''' with the setting '''opcache.revalidate_freq''' with a number greater than 1, some of the classes (like JVersion) might be cached from a previous request and thus make the update script fail. Set '''opcache.revalidate_freq''' to 0 in that case and retry.|type=serious}}
 +
 +
<div class="mw-translate-fuzzy">
 
==Come aggiornare quando non si può utilizzare il componente Aggiornamento di  Joomla!==
 
==Come aggiornare quando non si può utilizzare il componente Aggiornamento di  Joomla!==
Se non puoi aggiornare la tua Installazione di Joomla! nel modo consigliato a causa di limitazioni dell'hosting o problemi di connessione, dovrai seguire i seguenti passi:  
+
</div>
#Scarica il pacchetto di aggiornamento da (link)
+
Se non puoi aggiornare la tua Installazione di Joomla! nel modo consigliato a causa di limitazioni dell'hosting o problemi di connessione, dovrai seguire i seguenti passi:
#Metodo A {{-}}(Se non hai la possibilità di estrarre l'archivio sul server, vedi il Metodo B)
+
 
##Copia il pacchetto di aggiornamento nella root del tuo sito e scompattalo. Nota che devi sovrascrivere i file esistenti. Ad esempio, su GoDaddy.com, usa l'FTP File Manager per caricare il pacchetto di aggiornamento e usa "Unarchive" per scompattarlo. Spunta il box "Overwrite existing files".  
+
'''Note''' Clicking the "Update URL" link in '''Components'''{{rarr}}'''Joomla Update''' allows the browser to by-pass the server and directly download the correct update package.
#Metodo B{{-}}Se non hai la possibilità di estrarre l'archivio sul server (metodo A), utilizza questo metodo:
+
#Method A {{-}}
##Estrai il pacchetto scaricato nel tuo computer
+
##Go to '''Components'''{{rarr}}'''Joomla Update'''.  Click the "Update url" link and save the update package to your computer.
 +
##Go to '''Components'''{{rarr}}'''Joomla Update'''{{rarr}} '''Upload & Update tab'''
 +
##'''Browse''' to the file then '''Upload & Install'''
 +
#Metodo B {{-}}
 +
##Vai a '''Componenti'''{{rarr}}'''Joomla Update'''.  Clicca sul link "Aggiorna url" e salva il pacchetto di aggiornamento sul tuo computer.
 +
<div class="mw-translate-fuzzy">
 +
##Copia il pacchetto di aggiornamento nella cartella /tmp (nota che il percorso è impostato nella configurazione globale di Joomla - assicurati che sia la directory corretta) {{-}} (NB: questo metodo funziona solo con il pacchetto di aggiornamento del componente Joomla! Update. Non funzionerà per gli altri pacchetti di aggiornamento o per il pacchetto completo di Joomla. Si richiede inoltre una connessione internet per il file XML di Joomla update).
 +
</div>
 +
<div class="mw-translate-fuzzy">
 +
## Il componente Joomla! Update utilizzerà il pacchetto di aggiornamento dalla cartella /tmp.
 +
</div>
 +
#Method C{{-}}Only use this method if method A and method B fail:
 +
##Download the update package from https://downloads.joomla.org
 +
##Extract the download package on your computer
 
##Utilizzando il tuo software preferito per l'FTP, carica le cartelle ed i file del pacchetto estratto nella root del sito o nella cartella della tua Installazione di Joomla! sovrascrivendo tutte le cartelle e file. ('''NOTA:''' Se utilizzi Filezilla, clicca su "Sovrascrivi" e "Usa sempre questa azione", se stai utilizzando WinSCP, clicca su carica e poi consenti di sovrascirvere tutto. Il software FTP  sovrascriverà i file esistenti ed aggiungerà quelli nuovi.)  
 
##Utilizzando il tuo software preferito per l'FTP, carica le cartelle ed i file del pacchetto estratto nella root del sito o nella cartella della tua Installazione di Joomla! sovrascrivendo tutte le cartelle e file. ('''NOTA:''' Se utilizzi Filezilla, clicca su "Sovrascrivi" e "Usa sempre questa azione", se stai utilizzando WinSCP, clicca su carica e poi consenti di sovrascirvere tutto. Il software FTP  sovrascriverà i file esistenti ed aggiungerà quelli nuovi.)  
#Effettua il login al pannello amministrativo di Joomla! e vai su '''Estensioni'''{{rarr}}'''Gestione'''{{rarr}}'''Database''' e clicca sul pulsante '''Correggi''' in alto a sinistra.
+
##Si prega di consultare https://gist.github.com/mbabker/d7bfb4e1e2fbc6b7815a733607f89281
#Sempre in Gestione vai nella voce di menu ''Esplora''  e clicca sul pulsante '''Esplora'''. Installa le estensioni di Joomla! che vengono mostrate nella lista cliccando sul pulsante '''Installa'''.
+
 
#Nel menu principale del tuo pannello amministrativo, vai in  '''Sistema'''{{rarr}}'''Pulisci Cache''' e se vengono mostrate delle righe, selezionale cliccando sul pulsante '''Elimina''' in alto a sinistra.
 
  
==Ressources==
+
==Risorse==
'''See also: [[S:MyLanguage/J3.x:Updating from an existing version|Updating from an existing version]].'''
+
'''Vedi anche: [[S:MyLanguage/J3.x:Updating from an existing version|Aggiornamento da una versione già esistente]].'''
  
 
<noinclude>
 
<noinclude>
[[Category:Version 3.x FAQ]]
+
[[Category:Version 3.x FAQ{{#translation:}}]]
[[Category:Version 3.5 FAQ]]
+
[[Category:Version 3.5 FAQ{{#translation:}}]]
[[Category:Version 3.5.0 FAQ]]
+
[[Category:Version 3.5.0 FAQ{{#translation:}}]]
[[Category:Joomla! 3.x]]
+
[[Category:Joomla! 3.x{{#translation:}}]]
[[Category:Joomla! 3.5]]
+
[[Category:Joomla! 3.5{{#translation:}}]]
[[Category:Update]]
+
[[Category:Update{{#translation:}}]]
[[Category:FAQ]]
+
[[Category:FAQ{{#translation:}}]]
 
</noinclude>
 
</noinclude>

Latest revision as of 09:03, 1 April 2020

Other languages:
Bahasa Indonesia • ‎Deutsch • ‎Deutsch (Sie-Form)‎ • ‎English • ‎Kiswahili • ‎Nederlands • ‎català • ‎español • ‎français • ‎italiano • ‎português • ‎português do Brasil • ‎svenska • ‎Ελληνικά • ‎русский • ‎עברית • ‎فارسی • ‎中文(中国大陆)‎ • ‎中文(台灣)‎ • ‎日本語


Prima di aggiornare, fai sempre un backup e non dimenticare di testarlo.

Joomla! 
3.x

Aggiornare utilizzando il componente "Aggiornamento di Joomla!"

Preferibilmente aggiorna la tua Installazione di Joomla! utilizzando il componente Aggiornamento di Joomla.
Se non sai come utilizzare il componente Aggiornamento di Joomla!, leggi: Componente Aggiornamento di Joomla!.

Caveat!

If you're using OpCache with the setting opcache.revalidate_freq with a number greater than 1, some of the classes (like JVersion) might be cached from a previous request and thus make the update script fail. Set opcache.revalidate_freq to 0 in that case and retry.

Come aggiornare quando non si può utilizzare il componente Aggiornamento di Joomla!

Se non puoi aggiornare la tua Installazione di Joomla! nel modo consigliato a causa di limitazioni dell'hosting o problemi di connessione, dovrai seguire i seguenti passi:

Note Clicking the "Update URL" link in Components  Joomla Update allows the browser to by-pass the server and directly download the correct update package.

  1. Method A
    1. Go to Components  Joomla Update. Click the "Update url" link and save the update package to your computer.
    2. Go to Components  Joomla Update   Upload & Update tab
    3. Browse to the file then Upload & Install
  2. Metodo B
    1. Vai a Componenti  Joomla Update. Clicca sul link "Aggiorna url" e salva il pacchetto di aggiornamento sul tuo computer.
    1. Copia il pacchetto di aggiornamento nella cartella /tmp (nota che il percorso è impostato nella configurazione globale di Joomla - assicurati che sia la directory corretta)
      (NB: questo metodo funziona solo con il pacchetto di aggiornamento del componente Joomla! Update. Non funzionerà per gli altri pacchetti di aggiornamento o per il pacchetto completo di Joomla. Si richiede inoltre una connessione internet per il file XML di Joomla update).
    1. Il componente Joomla! Update utilizzerà il pacchetto di aggiornamento dalla cartella /tmp.
  1. Method C
    Only use this method if method A and method B fail:
    1. Download the update package from https://downloads.joomla.org
    2. Extract the download package on your computer
    3. Utilizzando il tuo software preferito per l'FTP, carica le cartelle ed i file del pacchetto estratto nella root del sito o nella cartella della tua Installazione di Joomla! sovrascrivendo tutte le cartelle e file. (NOTA: Se utilizzi Filezilla, clicca su "Sovrascrivi" e "Usa sempre questa azione", se stai utilizzando WinSCP, clicca su carica e poi consenti di sovrascirvere tutto. Il software FTP sovrascriverà i file esistenti ed aggiungerà quelli nuovi.)
    4. Si prega di consultare https://gist.github.com/mbabker/d7bfb4e1e2fbc6b7815a733607f89281


Risorse

Vedi anche: Aggiornamento da una versione già esistente.